import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import java.io.*;
import javax.microedition.rms.*;
import menu.*;
import store.*;
/**
* This class implements a simple account manager.  
* Information about each account is stored in an RMS data store.
* <p>The midlet first displays a single page root menu that contains one 
* entry for each record in the store.  The menu is created and
* updated by an AccountIndexPage object.  
* <p>Each entry on the index page is an AccountPage object.
* Each AccountPage contains a reference to a StorableObject
* that describes the RMS record associated with this account.
* Each StorableObject has a reference to a UserAccount object
* that contains the same information as the record in the store.
* <p>When the user selects an account page, the information
* about that account is displayed and can be edited.  When 
* the editing is done, the data is written back out to the RMS
* store, the index list is rebuilt, and the user is returned
* to the root menu. 
*/
public class AccountViewer extends QuitableMIDlet {
	/**
	* Construct the screens needed to implement
	* the account manager.  
	*/
	public AccountViewer() throws RecordStoreException, IOException {
		AccountIndexPage root = new AccountIndexPage("Account List",true);
		pager = new PageMgr(this,root);
	}
	/**
	* Initialize the various data objects and related screens.
	* Called by the application management software to signal
	* the MIDlet that it has entered the Active state. 
	* In the Active state the MIDlet may hold resources.
	* The method will only be called when the MIDlet is
	* in the Paused state.  If any exceptions occur, we 
	* immediately transition to the destroyed state.
	*/
	public void startApp() {
		pager.showRoot();
	}
	/**
	* Called by the application management software to 
	* signal the MIDlet to stop and enter the Paused state. 
	* In the Paused state the MIDlet must release shared 
	* resources and become quiescent. 
	* This method will only be called when the MIDlet is
	* in the Active state.
	*/
	protected void pauseApp() {
	}
	/**
	* Called by the application management software to 
	* signal the MIDlet to terminate and enter the Destroyed state.
	* In the destroyed state the MIDlet must release all resources
	* and save any persistent state. 
	* This method may be called from the Paused or Active states.
	* @param u If true, the MIDlet must cleanup and release all
	* resources. If false the MIDlet may throw MIDletStateChangeException
	* to indicate it does not want to be destroyed at this time.
	*/
	protected void destroyApp(boolean u) {
	}
	
	//--------------------------------------------------------------------
	
	/** the Page manager for this midlet */
	private PageMgr pager;

}
