import javax.microedition.midlet.*;
import menu.*;
/**
* This class implements a midlet that reads and displays
* various device properties.  
*/
public class PView extends QuitableMIDlet {
	/**
	* Construct the screens needed to implement the midlet.  
	*/
	public PView() {
		MenuPage root = new MenuPage("Property Viewer",true);
		PropertyPage pA = new PropertyPage("MMAPI",null,mmapiProperties);
		PropertyPage pB = new PropertyPage("System",null,systemProperties);
		PropertyPage pC = new PropertyPage("Image",this,"Image-",imageProperties);
		root.addChild(pA);
		root.addChild(pB);
		root.addChild(pC);
		
		pager = new PageMgr(this,root);
	}
	/**
	* Initialize the various data objects and related screens.
	* Called by the application management software to signal
	* the MIDlet that it has entered the Active state. 
	* In the Active state the MIDlet may hold resources.
	* The method will only be called when the MIDlet is
	* in the Paused state.  If any exceptions occur, we 
	* immediately transition to the destroyed state.
	*/
	public void startApp() {
		pager.showRoot();
	}
	/**
	* Called by the application management software to 
	* signal the MIDlet to stop and enter the Paused state. 
	* In the Paused state the MIDlet must release shared 
	* resources and become quiescent. 
	* This method will only be called when the MIDlet is
	* in the Active state.
	*/
	protected void pauseApp() {
	}
	/**
	* Called by the application management software to 
	* signal the MIDlet to terminate and enter the Destroyed state.
	* In the destroyed state the MIDlet must release all resources
	* and save any persistent state. 
	* This method may be called from the Paused or Active states.
	* @param u If true, the MIDlet must cleanup and release all
	* resources. If false the MIDlet may throw MIDletStateChangeException
	* to indicate it does not want to be destroyed at this time.
	*/
	protected void destroyApp(boolean u) {
	}
	
	//--------------------------------------------------------------------
	
	/** the Page manager for this midlet */
	private PageMgr pager;
	
	/** MMAPI property names of interest */
	private final String[] mmapiProperties = {
		"supports.mixing","supports.audio.capture","supports.video.capture",
		"supports.recording","audio.encodings","video.encodings",
		"video.snapshot.encodings"
	};
	
	/** MIDP system property names of interest */
	private final String[] systemProperties = {
		"microedition.platform","microedition.encoding",
		"microedition.configuration","microedition.profiles"
	};
	
	/** Image property names of interest */
	private final String[] imageProperties = {
		"-name","-location"
	};
}
